import { baseItemSchema } from './_shared.mjs'

/**
 * DataModel pour les items de type "rite" (rites, rituels).
 * @augments {foundry.abstract.TypeDataModel}
 */
export default class VermineRiteData extends foundry.abstract.TypeDataModel {
  /** @override */
  static LOCALIZATION_PREFIXES = ["VERMINE.item.rite"]

  /** @override */
  static defineSchema() {
    const fields = foundry.data.fields
    return {
      ...baseItemSchema(),
      rituel: new fields.StringField({ required: true, initial: "" }),
      transe: new fields.StringField({ required: true, initial: "" }),
      ability: new fields.StringField({ required: true, initial: "" }),
      effect: new fields.StringField({ required: true, initial: "" })
    }
  }
}
